OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
VrmlData

# VrmlData_Cone Class Reference

`#include <VrmlData_Cone.hxx>`

Inheritance diagram for VrmlData_Cone:

[legend]

## Public Member Functions
| VrmlData_Cone ()
| VrmlData_Cone (const VrmlData_Scene &theScene, const char *theName, const Standard_Real theBottomRadius=1., const Standard_Real theHeight=2.)
Standard_Real | BottomRadius () const
Standard_Real | Height () const
Standard_Boolean | HasBottom () const
Standard_Boolean | HasSide () const
void | SetBottomRadius (const Standard_Real theRadius)
void | SetHeight (const Standard_Real theHeight)
void | SetFaces (const Standard_Boolean hasBottom, const Standard_Boolean hasSide)
virtual Standard_EXPORT const | Handle (TopoDS_TShape)&TShape()
virtual Standard_EXPORT | Handle (VrmlData_Node) Clone(const Handle(VrmlData_Node)&theOther) const
virtual Standard_EXPORT VrmlData_ErrorStatus | Read (VrmlData_InBuffer &theBuffer)
virtual Standard_EXPORT VrmlData_ErrorStatus | Write (const char *thePrefix) const
## Private Attributes
Standard_Real | myBottomRadius
Standard_Real | myHeight
Standard_Boolean | myHasSide: 1
Standard_Boolean | myHasBottom: 1

## Detailed Description

Implementation of the Cone node. The cone is located with its middle of the height segment in (0., 0., 0.) The height is oriented along OY.

## Constructor & Destructor Documentation

VrmlData_Cone::VrmlData_Cone | ( |  | ) | `[inline]`

| Empty constructor

VrmlData_Cone::VrmlData_Cone | ( | const VrmlData_Scene & | theScene,
|  | const char * | theName,
|  | const Standard_Real | theBottomRadius = `1.`,
|  | const Standard_Real | theHeight = `2.`
| ) | `[inline]`

| Constructor

## Member Function Documentation

Standard_Real VrmlData_Cone::BottomRadius | ( |  | ) | const`[inline]`

| Query the Bottom Radius

virtual Standard_EXPORT VrmlData_Cone::Handle | ( | VrmlData_Node |  | ) | const`[virtual]`

| Create a copy of this node. If the parameter is null, a new copied node is created. Otherwise new node is not created, but rather the given one is modified. Reimplemented from VrmlData_Node.

virtual Standard_EXPORT const VrmlData_Cone::Handle | ( | TopoDS_TShape |  | ) | `[virtual]`

| Query the primitive topology. This method returns a Null shape if there is an internal error during the primitive creation (zero radius, etc.) Implements VrmlData_Geometry.

Standard_Boolean VrmlData_Cone::HasBottom | ( |  | ) | const`[inline]`

| Query if the bottom circle is included

Standard_Boolean VrmlData_Cone::HasSide | ( |  | ) | const`[inline]`

| Query if the side surface is included

Standard_Real VrmlData_Cone::Height | ( |  | ) | const`[inline]`

| Query the Height

virtual Standard_EXPORT VrmlData_ErrorStatus VrmlData_Cone::Read | ( | VrmlData_InBuffer & | theBuffer | ) | `[virtual]`

| Fill the Node internal data from the given input stream. Implements VrmlData_Node.

void VrmlData_Cone::SetBottomRadius | ( | const Standard_Real | theRadius | ) | `[inline]`

| Set the Bottom Radius

void VrmlData_Cone::SetFaces | ( | const Standard_Boolean | hasBottom,
|  | const Standard_Boolean | hasSide
| ) | `[inline]`

| Set which faces are included

void VrmlData_Cone::SetHeight | ( | const Standard_Real | theHeight | ) | `[inline]`

| Set the Height

virtual Standard_EXPORT VrmlData_ErrorStatus VrmlData_Cone::Write | ( | const char * | thePrefix | ) | const`[virtual]`

| Write the Node to output stream. Reimplemented from VrmlData_Node.

## Field Documentation

Standard_Real VrmlData_Cone::myBottomRadius`[private]`

Standard_Boolean VrmlData_Cone::myHasBottom`[private]`

Standard_Boolean VrmlData_Cone::myHasSide`[private]`

Standard_Real VrmlData_Cone::myHeight`[private]`

The documentation for this class was generated from the following file:

- VrmlData_Cone.hxx